ome-common 5.2.0-m2

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions
string.h File Reference

String utility methods. More...

`#include <ome/common/config.h>`
`#include <string>`
`#include <cstdarg>`
`#include <cstring>`
Include dependency graph for string.h:

Go to the source code of this file.

## Namespaces
| ome::common
| OME compatibility functions and classes.

## Functions
std::string | ome::common::ltrim (const std::string &str)
| Trim leading whitespace from a string. More...
std::string | ome::common::rtrim (const std::string &str)
| Trim trailing whitespace from a string. More...
std::string | ome::common::trim (const std::string &str)
| Trim leading and trailing whitespace from a string. More...

## Detailed Description

String utility methods.